summaryrefslogtreecommitdiffstats
path: root/tests/relp_tls_certificate_not_found.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/relp_tls_certificate_not_found.sh')
-rwxr-xr-xtests/relp_tls_certificate_not_found.sh30
1 files changed, 30 insertions, 0 deletions
diff --git a/tests/relp_tls_certificate_not_found.sh b/tests/relp_tls_certificate_not_found.sh
new file mode 100755
index 0000000..50f6518
--- /dev/null
+++ b/tests/relp_tls_certificate_not_found.sh
@@ -0,0 +1,30 @@
+#!/bin/bash
+# add 2017-09-21 by Pascal Withopf, released under ASL 2.0
+. ${srcdir:=.}/diag.sh init
+generate_conf
+add_conf '
+
+module(load="../plugins/omrelp/.libs/omrelp")
+module(load="../plugins/imtcp/.libs/imtcp")
+input(type="imtcp" port="0" listenPortFileName="'$RSYSLOG_DYNNAME'.tcpflood_port" ruleset="ruleset")
+input(type="imtcp" port="0" listenPortFileName="'$RSYSLOG_DYNNAME'.tcpflood_port")
+
+ruleset(name="ruleset") {
+ action(type="omrelp" target="127.0.0.1" port="10514" tls="on" tls.authMode="name" tls.caCert="tls-certs/ca.pem" tls.myCert="tls-certs/fake-cert.pem" tls.myPrivKey="tls-certs/fake-key.pem" tls.permittedPeer=["rsyslog-test-root-ca"])
+}
+
+action(type="omfile" file=`echo $RSYSLOG_OUT_LOG`)
+'
+startup
+shutdown_when_empty
+wait_shutdown
+
+grep "certificate file tls-certs/fake-cert.pem.*No such file" $RSYSLOG_OUT_LOG > /dev/null
+if [ $? -ne 0 ]; then
+ echo
+ echo "FAIL: expected error message from missing input file not found. $RSYSLOG_OUT_LOG is:"
+ cat $RSYSLOG_OUT_LOG
+ error_exit 1
+fi
+
+exit_test